/*
 * linux/include/asm-arm/arch-ns9750/armadillo3x0_misc.h
 *   Definitions for PLD Register on Armadillo-3x0 Board
 *
 * Copyright (C) 2006,2008 Atmark Techno, Inc. All rights reserved.
 *
 * RO: Read Only Register
 * Wo: Write Only Register
 *
 */

#ifndef _A3X0_MISC_H_
#define _A3X0_MISC_H_

#define A3X0_MISC_MODULE_BASE		(0xf8000000) /* virtual address */
#define A3X0_MISC_MODULE_BASE_PA	(0x60000000) /* physical address */
#define A3X0_MISC_MODULE_SIZE		(0x00010000)

#define A3X0_MISC_ISR     (A3X0_MISC_MODULE_BASE + 0x0000) /* RO */
#define A3X0_MISC_ICR     (A3X0_MISC_MODULE_BASE + 0x0000) /* WO */
#define A3X0_MISC_IMR     (A3X0_MISC_MODULE_BASE + 0x0002) /* WO */
#define A3X0_MISC_IDEMCR  (A3X0_MISC_MODULE_BASE + 0x0004)
#define A3X0_MISC_EBCR    (A3X0_MISC_MODULE_BASE + 0x0008)
#define A3X0_MISC_GCR     (A3X0_MISC_MODULE_BASE + 0x000c)

#define A3X0_MISC_GCR_LED (1 << 3)

#define A3X0_IDE_MODULE_BASE		(0xf8200000) /* virtual address */
#define A3X0_IDE_MODULE_BASE_PA		(0x62000000) /* physical address */
#define A3X0_IDE_MODULE_SIZE		(0x00010000)

#endif
