/*
 *  linux/include/asm-arm/arch-ns9750/io.h
 *
 *  Copyright (C) 1999 ARM Limited
 *
 * Copyright (C) 2004 by FS Forth-Systeme GmbH.
 * All rights reserved.
 * Markus Pietrek <mpietrek@fsforth.de>
 * @References: [1] NS9750 Hardware Reference/December 2003
 *              [2] derived from integrator/io.h
 * @TODO: adjust
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#ifndef __ASM_ARM_ARCH_IO_H
#define __ASM_ARM_ARCH_IO_H

#define IO_SPACE_LIMIT 0xffffffff

#define __io(a)			((void __iomem *)(IO_BASE + (a)))
#define __mem_pci(a)		(a)
#define __mem_isa(a)		(IO_BASE + (a))

/* this has to be included after __mem_pci is defined, to prevent writel() beeing undefined */
#include <asm/io.h>               /* writel() needed for rmwl() */

/* read-modify_write */
#define rmwl(addr,op)	writel(readl(addr) op, (addr) )

#endif
